# Class TGetCrossReferenceReq

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TGetCrossReferenceReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetCrossReferenceReq>`, `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetCrossReferenceReq extends Object implements org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>, Serializable, Cloneable, Comparable<TGetCrossReferenceReq>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetCrossReferenceReq._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`foreignCatalogName`
`String`
`foreignSchemaName`
`String`
`foreignTableName`
`TSparkGetDirectResults`
`getDirectResults`
`static final Map<TGetCrossReferenceReq._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`String`
`parentCatalogName`
`String`
`parentSchemaName`
`String`
`parentTableName`
`boolean`
`runAsync`
`TSessionHandle`
`sessionHandle`

## Constructor Summary

Constructors
Constructor
Description
`TGetCrossReferenceReq()`
`TGetCrossReferenceReq(TGetCrossReferenceReq other)`
Performs a deep copy on other.
`TGetCrossReferenceReq(TSessionHandle sessionHandle)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TGetCrossReferenceReq other)`
`TGetCrossReferenceReq`
`deepCopy()`
`boolean`
`equals(TGetCrossReferenceReq that)`
`boolean`
`equals(Object that)`
`TGetCrossReferenceReq._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TGetCrossReferenceReq._Fields field)`
`String`
`getForeignCatalogName()`
`String`
`getForeignSchemaName()`
`String`
`getForeignTableName()`
`TSparkGetDirectResults`
`getGetDirectResults()`
`String`
`getParentCatalogName()`
`String`
`getParentSchemaName()`
`String`
`getParentTableName()`
`TSessionHandle`
`getSessionHandle()`
`int`
`hashCode()`
`boolean`
`isRunAsync()`
`boolean`
`isSet(TGetCrossReferenceReq._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetForeignCatalogName()`
Returns true if field foreignCatalogName is set (has been assigned a value) and false otherwise
`boolean`
`isSetForeignSchemaName()`
Returns true if field foreignSchemaName is set (has been assigned a value) and false otherwise
`boolean`
`isSetForeignTableName()`
Returns true if field foreignTableName is set (has been assigned a value) and false otherwise
`boolean`
`isSetGetDirectResults()`
Returns true if field getDirectResults is set (has been assigned a value) and false otherwise
`boolean`
`isSetParentCatalogName()`
Returns true if field parentCatalogName is set (has been assigned a value) and false otherwise
`boolean`
`isSetParentSchemaName()`
Returns true if field parentSchemaName is set (has been assigned a value) and false otherwise
`boolean`
`isSetParentTableName()`
Returns true if field parentTableName is set (has been assigned a value) and false otherwise
`boolean`
`isSetRunAsync()`
Returns true if field runAsync is set (has been assigned a value) and false otherwise
`boolean`
`isSetSessionHandle()`
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TGetCrossReferenceReq._Fields field, Object value)`
`TGetCrossReferenceReq`
`setForeignCatalogName(String foreignCatalogName)`
`void`
`setForeignCatalogNameIsSet(boolean value)`
`TGetCrossReferenceReq`
`setForeignSchemaName(String foreignSchemaName)`
`void`
`setForeignSchemaNameIsSet(boolean value)`
`TGetCrossReferenceReq`
`setForeignTableName(String foreignTableName)`
`void`
`setForeignTableNameIsSet(boolean value)`
`TGetCrossReferenceReq`
`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`void`
`setGetDirectResultsIsSet(boolean value)`
`TGetCrossReferenceReq`
`setParentCatalogName(String parentCatalogName)`
`void`
`setParentCatalogNameIsSet(boolean value)`
`TGetCrossReferenceReq`
`setParentSchemaName(String parentSchemaName)`
`void`
`setParentSchemaNameIsSet(boolean value)`
`TGetCrossReferenceReq`
`setParentTableName(String parentTableName)`
`void`
`setParentTableNameIsSet(boolean value)`
`TGetCrossReferenceReq`
`setRunAsync(boolean runAsync)`
`void`
`setRunAsyncIsSet(boolean value)`
`TGetCrossReferenceReq`
`setSessionHandle(TSessionHandle sessionHandle)`
`void`
`setSessionHandleIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetForeignCatalogName()`
`void`
`unsetForeignSchemaName()`
`void`
`unsetForeignTableName()`
`void`
`unsetGetDirectResults()`
`void`
`unsetParentCatalogName()`
`void`
`unsetParentSchemaName()`
`void`
`unsetParentTableName()`
`void`
`unsetRunAsync()`
`void`
`unsetSessionHandle()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sessionHandle

public TSessionHandle sessionHandle

### parentCatalogName

public String parentCatalogName

### parentSchemaName

public String parentSchemaName

### parentTableName

public String parentTableName

### foreignCatalogName

public String foreignCatalogName

### foreignSchemaName

public String foreignSchemaName

### foreignTableName

public String foreignTableName

### getDirectResults

public TSparkGetDirectResults getDirectResults

### runAsync

public boolean runAsync

### metaDataMap

public static final Map<TGetCrossReferenceReq._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetCrossReferenceReq

public TGetCrossReferenceReq()

### TGetCrossReferenceReq

public TGetCrossReferenceReq(TSessionHandle sessionHandle)

### TGetCrossReferenceReq

public TGetCrossReferenceReq(TGetCrossReferenceReq other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TGetCrossReferenceReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`

### getSessionHandle

public TSessionHandle getSessionHandle()

### setSessionHandle

public TGetCrossReferenceReq setSessionHandle(TSessionHandle sessionHandle)

### unsetSessionHandle

public void unsetSessionHandle()

### isSetSessionHandle

public boolean isSetSessionHandle()
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

### setSessionHandleIsSet

public void setSessionHandleIsSet(boolean value)

### getParentCatalogName

public String getParentCatalogName()

### setParentCatalogName

public TGetCrossReferenceReq setParentCatalogName(String parentCatalogName)

### unsetParentCatalogName

public void unsetParentCatalogName()

### isSetParentCatalogName

public boolean isSetParentCatalogName()
Returns true if field parentCatalogName is set (has been assigned a value) and false otherwise

### setParentCatalogNameIsSet

public void setParentCatalogNameIsSet(boolean value)

### getParentSchemaName

public String getParentSchemaName()

### setParentSchemaName

public TGetCrossReferenceReq setParentSchemaName(String parentSchemaName)

### unsetParentSchemaName

public void unsetParentSchemaName()

### isSetParentSchemaName

public boolean isSetParentSchemaName()
Returns true if field parentSchemaName is set (has been assigned a value) and false otherwise

### setParentSchemaNameIsSet

public void setParentSchemaNameIsSet(boolean value)

### getParentTableName

public String getParentTableName()

### setParentTableName

public TGetCrossReferenceReq setParentTableName(String parentTableName)

### unsetParentTableName

public void unsetParentTableName()

### isSetParentTableName

public boolean isSetParentTableName()
Returns true if field parentTableName is set (has been assigned a value) and false otherwise

### setParentTableNameIsSet

public void setParentTableNameIsSet(boolean value)

### getForeignCatalogName

public String getForeignCatalogName()

### setForeignCatalogName

public TGetCrossReferenceReq setForeignCatalogName(String foreignCatalogName)

### unsetForeignCatalogName

public void unsetForeignCatalogName()

### isSetForeignCatalogName

public boolean isSetForeignCatalogName()
Returns true if field foreignCatalogName is set (has been assigned a value) and false otherwise

### setForeignCatalogNameIsSet

public void setForeignCatalogNameIsSet(boolean value)

### getForeignSchemaName

public String getForeignSchemaName()

### setForeignSchemaName

public TGetCrossReferenceReq setForeignSchemaName(String foreignSchemaName)

### unsetForeignSchemaName

public void unsetForeignSchemaName()

### isSetForeignSchemaName

public boolean isSetForeignSchemaName()
Returns true if field foreignSchemaName is set (has been assigned a value) and false otherwise

### setForeignSchemaNameIsSet

public void setForeignSchemaNameIsSet(boolean value)

### getForeignTableName

public String getForeignTableName()

### setForeignTableName

public TGetCrossReferenceReq setForeignTableName(String foreignTableName)

### unsetForeignTableName

public void unsetForeignTableName()

### isSetForeignTableName

public boolean isSetForeignTableName()
Returns true if field foreignTableName is set (has been assigned a value) and false otherwise

### setForeignTableNameIsSet

public void setForeignTableNameIsSet(boolean value)

### getGetDirectResults

public TSparkGetDirectResults getGetDirectResults()

### setGetDirectResults

public TGetCrossReferenceReq setGetDirectResults(TSparkGetDirectResults getDirectResults)

### unsetGetDirectResults

public void unsetGetDirectResults()

### isSetGetDirectResults

public boolean isSetGetDirectResults()
Returns true if field getDirectResults is set (has been assigned a value) and false otherwise

### setGetDirectResultsIsSet

public void setGetDirectResultsIsSet(boolean value)

### isRunAsync

public boolean isRunAsync()

### setRunAsync

public TGetCrossReferenceReq setRunAsync(boolean runAsync)

### unsetRunAsync

public void unsetRunAsync()

### isSetRunAsync

public boolean isSetRunAsync()
Returns true if field runAsync is set (has been assigned a value) and false otherwise

### setRunAsyncIsSet

public void setRunAsyncIsSet(boolean value)

### setFieldValue

public void setFieldValue(TGetCrossReferenceReq._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`

### getFieldValue

public Object getFieldValue(TGetCrossReferenceReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`

### isSet

public boolean isSet(TGetCrossReferenceReq._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetCrossReferenceReq that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TGetCrossReferenceReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetCrossReferenceReq>`

### fieldForId

public TGetCrossReferenceReq._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetCrossReferenceReq,TGetCrossReferenceReq._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`